Недавно я установил панель управления kloxo на свой новый vds, в настройках включил работу расширения xCache для PHP, но только сегодня я увидел, что самого расширения на сервере нет. Что же, поправим.

На момент написания статьи актуальная версия xCache 1.3.0.

[[email protected] ~]# wget http://xcache.lighttpd.net/pub/Releases/1.3.0/xcache-1.3.0.tar.gz

[[email protected] ~]# tar zxf xcache-1.3.0.tar.gz

[[email protected] ~]# cd xcache-1.3.0

[[email protected] ~]# phpize

[[email protected] ~]# ./configure —enable-xcache

[[email protected] ~]# make &&  make install

После установки перезагружаем apache:

[[email protected] ~]# service httpd restart

На этом установка закончена. Править php.ini не нужно, т.к. панель это уже сделала.

Подписываемся на обновления блога по Email:

Введите адрес электронной почты



Метки: , , , , , , ,

5 комментариев


  1. Cheloveck on 23 Мар 2011

    После команды ./configure –enable-xcache

    что-то делает, а потом пишет

    checking build system type… Invalid configuration `–enable-xcache’: machine `–enable’ not recognized
    configure: error: /bin/sh ./config.sub –enable-xcache failed

    что делать?

  2. Cheloveck on 23 Мар 2011

    Сам же себе и отмечаю — вот правильная команда

    Вот эта команда:

    ./configure –enable-xcache

    неправильная, а правильная — вот эта:

    ./configure —enable-xcache

    Предлагаю поправить пост

  3. Cheloveck on 23 Мар 2011

    хех, — получились идентичные команды — это видать глюк движка блога , он автоматически убрал второй символ — перед enable-xcache, а их должно быть два

    • admin on 23 Мар 2011

      Да, действительно не заметил, что WP порезало символы и из 2-х сделало один. Их должно быть два.

  4. Breg on 20 Апр 2011

    Можно просто сделать
    yum install php-xcache
    он ставится из репы lxlabsupdate


Оставьте свой комментарий